/*    
	Sound.c	2.8
    	Copyright 1997 Willows Software, Inc. 

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; see the file COPYING.LIB.  If
not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA.


For more information about the Willows Twin Libraries.

	http://www.willows.com	

To send email to the maintainer of the Willows Twin Libraries.

	mailto:twin@willows.com 

 */
#include "windows.h"

#include "Log.h"

int WINAPI
OpenSound(void)
{
    LOGSTR((LF_STUB,"OpenSound: STUB\n"));
	return TRUE;
}

void WINAPI
CloseSound(void)
{
    LOGSTR((LF_STUB,"CloseSound: STUB\n"));
}

int WINAPI
SetVoiceAccent(int nVoice, int nTempo, int nVolume, int fnMode, int nPitch)
{
    LOGSTR((LF_STUB,"SetVoiceAccent: STUB nVoice=%x, nTempo=%x, nVolume=%x, fnMode=%x, nPitch=%x\n", nVoice, nTempo, nVolume, fnMode, nPitch));
	return TRUE;
}

int WINAPI
SetVoiceNote(int voice, int value, int length, int cdots)
{
    LOGSTR((LF_STUB,"SetVoiceNote: STUB voice=%x, value=%x, length=%x, cdots=%x\n",voice, value, length, cdots));
	return TRUE;
}

int WINAPI
SetVoiceQueueSize(int nVoice, int cbQueue)
{
    LOGSTR((LF_STUB,"SetVoiceQueueSize: STUB nVoice=%x, cbQueue=%x\n",nVoice, cbQueue));
	return TRUE;
}

int WINAPI
StartSound(void)
{
    LOGSTR((LF_STUB,"StartSound: STUB\n"));
	return TRUE;
}

int WINAPI
StopSound(void)
{
    LOGSTR((LF_STUB,"StopSound: STUB\n"));
	return TRUE;
}

int WINAPI
WaitSoundState(int fnState)
{
    LOGSTR((LF_STUB,"WaitSoundState: STUB fnState=%x\n",fnState));
	return TRUE;
}

BOOL WINAPI
sndPlaySound(LPCSTR lpSoundName, UINT Options)
{
    LOGSTR((LF_STUB,"sndPlaySound: STUB lpSoundName=%x, Options=%x\n",lpSoundName, Options));
    return TRUE;
}

